/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/


#include	"long_char.h"
#include	"xl.h"
#include	"lump.h"
#include	"memory_debug.h"
#include	"pfc.h"


PFC pmd_pfc = {
	"",
	10,
	0.1,
	1,
	0,0,0,0
};

int init_pfc_flag;



void
init_pfc()
{
char * f;
int ret;
	if ( init_pfc_flag )
		return;
	init_pfc_flag = 1;
	f = get_fullpath(l_string(std_cm,"/work/pmd.pfc"));
	strcpy(pmd_pfc.filename,f);
	d_f_ree(f);
	ret = new_pfc(&pmd_pfc);
}


void
last_pfc()
{
	if ( init_pfc_flag == 0 )
		return;
	pfc_checkpoint(&pmd_pfc);
}
